MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027696Open CASCADE[OCCT] OCCT:DRAWpublic2016-07-20 14:412016-12-09 16:38
Reporterssv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027696: Return max distance in xdistcs Draw command
DescriptionToday xdistcs command prints distances calculated in the sample points to the output, and that is nice. However, it will be helpful to print also the max calculated distance. Max distance gives the user a hint on inaccuracy (in shape healing use cases).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0058006)
git (administrator)
2016-09-22 09:36

Branch CR27696 has been created by aml.

SHA-1: ff48c537a655cbac8df0d1bfa87fa18160f627ed


Detailed log of new commits:

Author: aml
Date: Thu Sep 22 08:12:16 2016 +0300

    0027696: Return max distance in xdistcs Draw command
    
    Message about maximal distance is added for xdistcs command.
(0058008)
aml (developer)
2016-09-22 09:45

Dear msv,
Please check current state of the CR27696 branch.
(0058009)
msv (developer)
2016-09-22 10:02

Please return back output to "di" instead of "cout", because it allows redirecting output to a needed place (list, file).
(0058010)
git (administrator)
2016-09-22 10:14

Branch CR27696 has been updated forcibly by aml.

SHA-1: 679aa23ff8096fac0c284d0843ef0960bb9db0ba
(0058011)
aml (developer)
2016-09-22 10:17

"di" command usage is restored. "cout" are changed to "di" in this command. Please check updated version.
(0058012)
msv (developer)
2016-09-22 10:54

Reviewed.
(0058027)
mkv (tester)
2016-09-22 16:02

Dear BugMaster,
Branch CR27696 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 679aa23ff8096fac0c284d0843ef0960bb9db0ba

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1137

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90826260 / 89854736 [+1.08%]
Total CPU difference: 19389.09999999994 / 19211.42999999994 [+0.92%]
products component :
Total MEMORY difference: 30032229 / 30009119 [+0.08%]
Total CPU difference: 5104.0299999999725 / 5121.159999999977 [-0.33%]

Testing on Windows:
occt component :
Total MEMORY difference: 57204468 / 57211877 [-0.01%]
Total CPU difference: 18158.68800109881 / 18509.12864749872 [-1.89%]
products component :
Total MEMORY difference: 21267630 / 21232183 [+0.17%]
Total CPU difference: 4828.901754299944 / 4959.0221883999575 [-2.62%]

There are no differences in images found by testdiff.
(0058028)
mkv (tester)
2016-09-22 16:03

Dear BugMaster,
Branch CR27696 is TESTED.
(0059496)
git (administrator)
2016-10-28 21:45

Branch CR27696 has been deleted by kgv.

SHA-1: 679aa23ff8096fac0c284d0843ef0960bb9db0ba

- Related Changesets
occt: master 27ba9c60
Timestamp: 2016-09-22 05:12:16
Author: aml
Committer: kgv
Details ] Diff ]
0027696: Return max distance in xdistcs Draw command

Message about maximal distance is added for xdistcs command.
mod - src/GeometryTest/GeometryTest_TestProjCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-07-20 14:41 ssv New Issue
2016-07-20 14:41 ssv Assigned To => aml
2016-07-20 14:41 aml Status new => assigned
2016-09-22 09:36 git Note Added: 0058006
2016-09-22 09:45 aml Note Added: 0058008
2016-09-22 09:45 aml Assigned To aml => msv
2016-09-22 09:45 aml Status assigned => resolved
2016-09-22 09:45 aml Steps to Reproduce Updated View Revisions
2016-09-22 10:02 msv Note Added: 0058009
2016-09-22 10:02 msv Assigned To msv => aml
2016-09-22 10:02 msv Status resolved => assigned
2016-09-22 10:14 git Note Added: 0058010
2016-09-22 10:17 aml Note Added: 0058011
2016-09-22 10:17 aml Assigned To aml => msv
2016-09-22 10:17 aml Status assigned => resolved
2016-09-22 10:54 msv Note Added: 0058012
2016-09-22 10:54 msv Assigned To msv => bugmaster
2016-09-22 10:54 msv Status resolved => reviewed
2016-09-22 11:28 mkv Assigned To bugmaster => mkv
2016-09-22 16:02 mkv Note Added: 0058027
2016-09-22 16:03 mkv Note Added: 0058028
2016-09-22 16:03 mkv Assigned To mkv => bugmaster
2016-09-22 16:03 mkv Status reviewed => tested
2016-09-22 16:03 mkv Test case number => Not needed
2016-10-03 13:47 kgv Changeset attached => occt master 27ba9c60
2016-10-03 13:47 kgv Assigned To bugmaster => kgv
2016-10-03 13:47 kgv Status tested => verified
2016-10-03 13:47 kgv Resolution open => fixed
2016-10-28 21:45 git Note Added: 0059496
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker